- [HTTP request](https://docs.cloud.google.com/build/docs/api/reference/rest/v1/projects.builds/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/build/docs/api/reference/rest/v1/projects.builds/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/build/docs/api/reference/rest/v1/projects.builds/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/build/docs/api/reference/rest/v1/projects.builds/create#body.request_body)
- [Response body](https://docs.cloud.google.com/build/docs/api/reference/rest/v1/projects.builds/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/build/docs/api/reference/rest/v1/projects.builds/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/build/docs/api/reference/rest/v1/projects.builds/create#try-it)

Starts a build with the specified configuration.

This method returns a long-running `Operation`, which includes the build ID. Pass the build ID to `builds.get` to determine the build status (such as `SUCCESS` or `FAILURE`).

Note: This method only creates builds in the "global" region when using the legacy resource path projects/{projectId}/builds. For all regions, use the regional resource path: `projects/{projectId}/locations/{location}/builds`.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 europe-west15 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-central2 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4 us-west8   
`POST https://cloudbuild.googleapis.com/v1/projects/{projectId}/builds`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId` | `string` Required. ID of the project. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `projectId`: - `cloudbuild.builds.create` |

### Query parameters

| Parameters ||
|---|---|
| `parent` | `string` The parent resource where this build will be created. Format: `projects/{project}/locations/{location}` |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/build/docs/api/reference/rest/v1/projects.builds#Build`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/build/docs/api/reference/rest/v1/operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).